org.eclipse.modisco.kdm.source.extension.ui.interfaces

## Interface RevealingStrategy

    public interface RevealingStrategy

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isApplicableTo(Notifier target)` Return whether or not the revealing strategy is applicable to the EOBject
`void` `revealInTextEditor(IFile file, SourceRegion sourceRegion)` Open the file in the right editor, then uses revealInTextEditor method to select it
`void` `selectInTextEditor(IEditorPart iEditorPart, SourceRegion sourceRegion)` Select the given soruceRegion in the given Editor

### Method Detail

#### revealInTextEditor

    void revealInTextEditor(IFile file,
                            SourceRegion sourceRegion)

Open the file in the right editor, then uses revealInTextEditor method to select it

Parameters:
  `file` -
  `sourceRegion` -

#### selectInTextEditor

    void selectInTextEditor(IEditorPart iEditorPart,
                            SourceRegion sourceRegion)

Select the given soruceRegion in the given Editor

Parameters:
  `iEditorPart` - a editor
  `sourceRegion` - a source region

#### isApplicableTo

    boolean isApplicableTo(Notifier target)

Return whether or not the revealing strategy is applicable to the EOBject

Parameters:
  `eObject` - the EObject
Returns:
  boolean whether or not the revealing strategy is applicable to the EOBject